﻿namespace AspNetCoreApi.Middlewares
{
    public class CustomMiddleware1
    {
        private readonly RequestDelegate _next;

        public CustomMiddleware1(RequestDelegate next)
        {
            _next = next;
        }

        public async Task InvokeAsync(HttpContext context)
        {
            Console.WriteLine("Before CustomMiddleware1");
            await _next(context);
            Console.WriteLine("After CustomMiddleware1");
        }
    }
}
