﻿using AspNetCoreApi.DbContexts;
using AspNetCoreApi.Models;

namespace AspNetCoreApi.Services
{
    public class ProductService
    {
        private readonly AppDbContext _context;

        public ProductService(AppDbContext context)
        {
            _context = context;
        }

        public IEnumerable<Product> GetProducts()
        {
            return _context.Products.ToList();
        }
    }
}
