﻿using AspNetCoreApi.Models;
using AspNetCoreApi.Services;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;

namespace AspNetCoreApi.Controllers
{
    [ApiController]
    [Authorize]
    [Route("[controller]")]
    public class NeedAuthController : ControllerBase
    {
        private readonly ILogger<ProductController> _logger;

        public NeedAuthController(ILogger<ProductController> logger)
        {
            _logger = logger;
        }

        [HttpGet(Name = "GetNeedAuth")]
        public string Get()
        {
            return "Authorized";
        }
    }
}
