﻿using AspNetCoreApi.Models;
using Microsoft.EntityFrameworkCore;

namespace AspNetCoreApi.DbContexts
{
    public class AppDbContext : DbContext
    {
        public DbSet<Product> Products { get; set; }
        public DbSet<ApplicationUser> ApplicationUsers { get; set; }

        public AppDbContext(DbContextOptions<AppDbContext> options) : base(options)
        {
            
        }
    }
}
