﻿namespace AspNetCoreApi.Middlewares
{
    public class CustomMiddleware2
    {
        private readonly RequestDelegate _next;

        public CustomMiddleware2(RequestDelegate next)
        {
            _next = next;
        }

        public async Task InvokeAsync(HttpContext context)
        {
            Console.WriteLine("Before CustomMiddleware2");
            await _next(context);
            Console.WriteLine("After CustomMiddleware2");
        }
    }
}
