﻿using AspNetCoreApi.DbContexts;
using AspNetCoreApi.Models;
using Microsoft.AspNetCore.Identity;

namespace AspNetCoreApi.Services
{
    public class ApplicationUserService
    {
        private readonly UserManager<ApplicationUser> _manager;

        public ApplicationUserService(UserManager<ApplicationUser> manager)
        {
            _manager = manager;
        }

        public async Task<bool> Register(ApplicationUser user, string password)
        {
            var result = await _manager.CreateAsync(user, password);
            if (result.Succeeded)
                return true;

            return false;
        }
    }
}
